Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 659582 - sys-apps/portage: support FEATURES=pid-sandbox
Summary: sys-apps/portage: support FEATURES=pid-sandbox
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 671498
  Show dependency tree
 
Reported: 2018-06-29 08:03 UTC by Zac Medico
Modified: 2019-05-12 04:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2018-06-29 08:03:03 UTC
In util-linux-2.32, unshare --pid --kill-child uses a pid namespace to implement behavior like FEATURES=cgroup, which has the advantage that there's no need for special interaction with systemd as discussed in bug 602706.
Comment 1 Larry the Git Cow gentoo-dev 2018-11-18 12:25:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/portage.git/commit/?id=88ba0f45b54609666445c7f8008ff699eef52b39

commit 88ba0f45b54609666445c7f8008ff699eef52b39
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-11-11 11:48:24 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-11-18 12:24:52 +0000

    Support FEATURES=pid-sandbox
    
    Supporting using PID namespace in order to isolate the ebuild processes
    from host system, and make it possible to kill them all easily
    (similarly to cgroups but easier to use).
    
    Bug: https://bugs.gentoo.org/659582
    Reviewed-by: Zac Medico <zmedico@gentoo.org>
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 lib/portage/const.py                   |  1 +
 lib/portage/package/ebuild/doebuild.py |  8 ++++--
 lib/portage/process.py                 | 48 ++++++++++++++++++++++++++++++----
 man/make.conf.5                        |  7 +++++
 4 files changed, 57 insertions(+), 7 deletions(-)
Comment 2 Zac Medico gentoo-dev 2019-04-10 04:35:41 UTC
Fixed in portage-2.3.62.